View Issue Details

IDProjectCategoryView StatusLast Update
0002256SymmetricDS ProBugpublic2016-02-12 13:29
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.29Fixed in Version3.7.29 
Summary0002256: Automated install with upgrade option gets npe
DescriptionUsing the unattended installation with an XML file with "upgrade" options, the installer gets a NullPointerException:

java -DTRACE=true -jar "Users\User\Downloads\symmetric-pro-3.7.12-setup.jar" auto-upgrade.xml

Apr 7, 2015 10:05:02 AM INFO: Logging initialized at level 'INFO'
Apr 7, 2015 10:05:02 AM INFO: Commandline arguments: auto-upgrade.xml
Apr 7, 2015 10:05:02 AM INFO: Detected platform: windows,version=6.1,arch=x86,symbolicName=WINDOWS_7,javaVersion=1.7.0_71
[ Starting automated installation ]
Apr 7, 2015 10:05:02 AM WARNING: AutomationHelper class not found for panel class: panels.SymmetricHelloPanel
Apr 7, 2015 10:05:02 AM WARNING: AutomationHelper class not found for panel class: com.izforge.izpack.panels.htmllicence.HTMLLicencePanel
Apr 7, 2015 10:05:02 AM WARNING: AutomationHelper class not found for panel class: com.izforge.izpack.panels.summary.SummaryPanel
[ Starting to unpack ]
Apr 7, 2015 10:05:02 AM SEVERE: null
[ Unpacking finished ]
Internal error occurred : java.lang.NullPointerException

Workaround is to add the following section to the XML:

<com.izforge.izpack.panels.target.TargetPanel id="TargetPanel_4">
<installpath>D:\SymmetricDS-Pro</installpath>
</com.izforge.izpack.panels.target.TargetPanel>
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-04-07 10:06 elong New Issue
2016-01-26 21:24 elong Assigned To => elong
2016-01-26 21:24 elong Status new => assigned
2016-01-26 21:24 elong Product Version 3.7.12 => 3.7.0
2016-01-26 21:24 elong Target Version => 3.7.29
2016-01-28 10:42 elong Status assigned => resolved
2016-01-28 10:42 elong Fixed in Version => 3.7.29
2016-01-28 10:42 elong Resolution open => fixed
2016-02-12 13:29 chenson Status resolved => closed